<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <link rel="stylesheet" href="styles.css">
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">
    <div class="caixas">
      <div class="demo" :class="estilo1" @click="aplicarC1 = !aplicarC1"></div>
      <div class="demo" :class="estilo1"></div>
      <!--
        - a estilização dinâmica, determinada externamente ao elemento estilizado, ocorre através da sincronização de valores (normalmente booleano ou dos nomes dos seletores já existentes no css) com a instância vue e o uso deles no :class (v-bind:class) do elemento:
          - diretamente aplicando o nome do seletor css, através de dado string na instância (obtido por sincronização com input, por exemplo)]... 1o item do array abaixo
          - indiretamente, aplicando o seletor a partir de uma estrutura booleana (objeto), sendo o par chave-valor a dupla seletorCSS-booleano, na qual o booleano é obtido a partir de dado da instância Vue... 2o item do array abaixo
        - com o uso de array no :class (v-bind:class), consegue-se aplicar vários seletores CSS ao mesmo tempo
        - cada elemento do array pode sincronizar com o dado presente na instância de Vue (sendo, na prática, estilização dinâmica), como explicado acima
      -->
      <div class="demo" :class="[classeCaixa3, {girar: aplicarGirar}]"></div>
    </div>
    <h1>Caixa 3 - Classes CSS</h1>
    <h2>Cores</h2>
    <label for="iptCaixa3">Classe da cor</label>
    <!--
      com o valor inserido no input, e com o valor nele digitado sincronizado com o dado 'classeCaixa3', aplica-se dinamicamente estilo à caixa 3 (3a div dentro de .caixas)
    -->
    <input type="text" v-model="classeCaixa3" id="iptCaixa3">
    <h2>Giro</h2>
    <input type="checkbox" id="girar" v-model="aplicarGirar">
    <label for="girar">Girar</label>
  </div>
  <script src="app.js"></script>
</body>

</html>